parameters:
  block_content.skip_procedural_hook_scan: true

  block_content.moved_classes:
    Drupal\block_content\Access\AccessGroupAnd:
      class: Drupal\Core\Access\AccessGroupAnd
      deprecation_version: drupal:11.2.0
      removed_version: drupal:12.0.0
      change_record: https://www.drupal.org/node/3527501
    Drupal\block_content\Access\DependentAccessInterface:
      class: Drupal\Core\Access\DependentAccessInterface
      deprecation_version: drupal:11.2.0
      removed_version: drupal:12.0.0
      change_record: https://www.drupal.org/node/3527501
    Drupal\block_content\Access\RefinableDependentAccessInterface:
      class: Drupal\Core\Access\RefinableDependentAccessInterface
      deprecation_version: drupal:11.2.0
      removed_version: drupal:12.0.0
      change_record: https://www.drupal.org/node/3527501
    Drupal\block_content\Access\RefinableDependentAccessTrait:
      class: Drupal\Core\Access\RefinableDependentAccessTrait
      deprecation_version: drupal:11.2.0
      removed_version: drupal:12.0.0
      change_record: https://www.drupal.org/node/3527501

services:
  _defaults:
    autoconfigure: true
  block_content.uuid_lookup:
    class: \Drupal\block_content\BlockContentUuidLookup
    arguments: ['@cache.bootstrap', '@lock', '@entity_type.manager']
    tags:
      - { name: needs_destruction }
  Drupal\block_content\BlockContentUuidLookup: '@block_content.uuid_lookup'
  block_content.bc_subscriber:
    class: Drupal\block_content\Routing\RouteSubscriber
    arguments: ['@entity_type.manager', '@module_handler']
  access_check.block_content_reusable:
    class: Drupal\block_content\Access\BlockContentIsReusableAccessCheck
    tags:
      - { name: access_check, applies_to: _block_content_reusable, needs_incoming_request: TRUE }
